﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            var divElement = document.getElementById("targetContainer");

            var gestureObject = new MSGesture();
            gestureObject.target = divElement;
            divElement.gestureObject = gestureObject;

            divElement.addEventListener("pointerdown", function (e) {
                e.target.gestureObject.addPointer(e.pointerId);
            }, true);
            divElement.addEventListener("MSGestureTap", function () {
                log("tap");
            });
            divElement.addEventListener("MSGestureHold", function (e) {
                log("hold");
            });
            divElement.addEventListener("MSGestureStart", function () {
                log("start");
            });
            divElement.addEventListener("MSGestureChange", function (e) {
                var elt = e.target;
                var m = new MSCSSMatrix(elt.style.msTransform);

                elt.style.msTransform = m.translate(e.translationX, e.translationY);
            });
            divElement.addEventListener("MSGestureEnd", function () {
                log("end");
            });
            divElement.addEventListener("MSInertiaStart", function () {
                log("start");
            });


            divElement.addEventListener("wheel", function (e) {
                e.pointerId = 1;
                // Fixed pointerId for MouseWheel 
                pointerDown(e);
            });
        }
    };

    function log(message) {
        var log = document.getElementById("log");
        log.innerHTML += message + "<br />";
    }

    function pointerDown(e) { 
       
    }

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
