﻿using Microsoft.WindowsAzure.Storage;
using Microsoft.WindowsAzure.Storage.Auth;
using Microsoft.WindowsAzure.Storage.Blob;
using Microsoft.WindowsAzure.Storage.Shared.Protocol;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Threading.Tasks;
using Windows.Foundation;

namespace CORSSupport
{
    public sealed class AzureCommon
    {
        const string accountName = "examref";
        const string accountKey = "N+/1tdhGWBSxTV3KSfQ8CLvoEywl9+ryP1AAI/DNAEAkZxQsAPOQdyyf3JfTxkd1lo9hqniXHFLIl20bCeT2hA==";

        public IAsyncOperation<string> GetSas()
        {
            return _GetSaS().AsAsyncOperation();
        }

        private async Task<string> _GetSaS()
        {
          var storageAccountString = String.Format("DefaultEndpointsProtocol=https;AccountName={0};AccountKey={1}", accountName, accountKey);
            var storageAccount = CloudStorageAccount.Parse(storageAccountString);
            var client = storageAccount.CreateCloudBlobClient();

            CloudBlobContainer container = client.GetContainerReference("mycontainer");
            await container.CreateIfNotExistsAsync();

            var blob = container.GetBlockBlobReference("myimage.png");

            var sas = blob.GetSharedAccessSignature(
                new SharedAccessBlobPolicy()
                {
                    Permissions = SharedAccessBlobPermissions.Write | SharedAccessBlobPermissions.Read | SharedAccessBlobPermissions.List,
                    SharedAccessExpiryTime = DateTime.UtcNow.AddMinutes(30),
                });

            return string.Format(CultureInfo.InvariantCulture, "{0}{1}", blob.Uri, sas);

        }
    }
}