﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var httpClient;
    var filter;
    var baseUriRest;
    var baseUriWcf;
    var output;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            args.setPromise(WinJS.UI.processAll());

            document.getElementById("getButton").addEventListener("click", getRequest);
            document.getElementById("postButton").addEventListener("click", postRequest);
            document.getElementById("putButton").addEventListener("click", putRequest);
            document.getElementById("deleteButton").addEventListener("click", deleteRequest);

            document.getElementById("getDataButton").addEventListener("click", getDataRequest);
            output = document.getElementById("output");

            filter = new Windows.Web.Http.Filters.HttpBaseProtocolFilter();
            httpClient = new Windows.Web.Http.HttpClient(filter);

            baseUriRest = new Windows.Foundation.Uri("http://localhost:5239/api/values");
            baseUriWcf = new Windows.Foundation.Uri("http://localhost:7214/Service1.svc");
        }
    };

    function getRequest() {
        httpClient.getAsync(baseUriRest).done(function (response) {
            return response.content.readAsStringAsync().then(function (content) {
                output.innerText += content;
            });
        });
    }
    function postRequest() {
        var stringContent = new Windows.Web.Http.HttpStringContent('"Content to post"',
            Windows.Storage.Streams.UnicodeEncoding.utf8,
            "application/json");

        httpClient.postAsync(baseUriRest, stringContent).done(function (response) {
            return response.content.readAsStringAsync().then(function (content) {
                output.innerText += content;
            });
        });
    }
    function putRequest() {
        var stringContent = new Windows.Web.Http.HttpStringContent('"Content to put"',
    Windows.Storage.Streams.UnicodeEncoding.utf8,
    "application/json");

        var putUri = new Windows.Foundation.Uri(baseUriRest.absoluteUri + "/42");

        httpClient.putAsync(putUri, stringContent).done(function (response) {
            return response.content.readAsStringAsync().then(function (content) {
                output.innerText += content;
            });
        });

    }
    function deleteRequest() {
        var deleteUri = new Windows.Foundation.Uri(baseUriRest.absoluteUri + "/42");
        httpClient.deleteAsync(deleteUri).done(function (response) {
            return response.content.readAsStringAsync().then(function (content) {
                output.innerText += content;
            });
        });
    }

    function getDataRequest() {

        //var getDataUri = new Windows.Foundation.Uri(baseUriWcf.absoluteUri + "/GetData?unique=" + new Date().getMilliseconds());

        //httpClient.getAsync(getDataUri).then(function (response) {
        //    return response.content.readAsStringAsync().then(function (content) {
        //        output.innerText += content;
        //    });
        //});

        new WcfServiceHelper.Service().getDataAsync().then(function (response) {
            output.innerText += response;
        },

        function (error) {
            output.innerText += error;
        }
        );
    }

    app.oncheckpoint = function (args) {
    };

    app.start();
})();
